Subject: [PATCH 0/3] NET: Generic network statistics/estimator

From: Thomas Graf <[email-masked]>
Date: Sun, 3 Oct 2004 23:31:24 +0200

Dave,

The following patchset introduces generic network statistics for netlink
users. It uses nested TLV which prevents further compatibility problems
when introducing new statistics. Backward compatibility to existing
TLV types TCA_STATS and TCA_XSTATS is ensured but can be easly removed
once it is no longer needed. Therefore prior users of struct tc_stats can
be converted to this API and existing userspace applications will not notice
a difference while converted applications can use the new extendable
statistic interface.